# Get stakers

Returns stakers for a specific subnet on Base.

You must pass a `subnet_id`. Get it from [Get subnets](/builders/morpheus-builders-api/endpoints/get-subnets.md).

### Request

`GET https://dashboard.mor.org/api/builders/stakers`

#### Query parameters

* `subnet_id` (string, required) — Subnet ID from the subnets endpoint
* `limit` (number, optional, default `100`, max `100`) — results per page
* `offset` (number, optional, default `0`) — results to skip

Example URL:&#x20;

`https://dashboard.mor.org/api/builders/stakers?subnet_id=0xSUBNET_ID&limit=100&offset=0`

### Response

Common top-level fields:

<table><thead><tr><th width="147.36328125">Field</th><th width="106.3203125">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>success</code></td><td>boolean</td><td>Call status</td></tr><tr><td><code>network</code></td><td>string</td><td>Identifier (e.g. base)</td></tr><tr><td><code>timestamp</code></td><td>string</td><td>ISO 8601 timestamp</td></tr><tr><td><code>subnetID</code></td><td>string</td><td>Queried subnet_id</td></tr><tr><td><code>pagination</code></td><td>object</td><td>Pagination status</td></tr><tr><td><code>data.stakers</code></td><td>array</td><td>Array of stakers with metadata</td></tr></tbody></table>

#### `pagination`

<table><thead><tr><th width="149.37109375">Field</th><th width="138.80859375">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>limit</code></td><td>number</td><td>Results per page (max 100)</td></tr><tr><td><code>offset</code></td><td>number</td><td>Current offset</td></tr><tr><td><code>total</code></td><td>number</td><td>Total number of stakers</td></tr><tr><td><code>hasMore</code></td><td>boolean</td><td>Additional result available</td></tr></tbody></table>

{% hint style="info" %}
`pagination.limit` is the limit **applied** by the API. It can differ from the requested value.
{% endhint %}

#### `data.stakers[]`

<table><thead><tr><th width="186.7109375">Field</th><th width="145.703125">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>address</code></td><td>string</td><td>Staker wallet address</td></tr><tr><td><code>staked</code></td><td>string</td><td>User amount staked (wei)</td></tr><tr><td><code>stakedFormatted</code></td><td>number</td><td>User amount staked (number)</td></tr><tr><td><code>lastStake</code></td><td>string</td><td>Unix timestamp of last stake</td></tr><tr><td><code>lastStakeDate</code></td><td>string</td><td>ISO 8601 timestamp of last stake</td></tr></tbody></table>

#### `data.totals`

<table><thead><tr><th width="202.734375">Field</th><th width="126.12109375">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>totalStakers</code></td><td>number</td><td>Total unique subnet stakers</td></tr><tr><td><code>totalStaked</code></td><td>string</td><td>Total amount staked to subnet (wei)</td></tr><tr><td><code>totalStakedFormatted</code></td><td>number</td><td>Total amount staked to subnet (number)</td></tr></tbody></table>

### Examples

{% tabs %}
{% tab title="cURL" %}
{% code title="Get stakers (paged)" %}

```bash
curl "https://dashboard.mor.org/api/builders/stakers?subnet_id=0xSUBNET_ID&limit=100&offset=0"
```

{% endcode %}
{% endtab %}

{% tab title="JS/TS" %}
{% code title="Fetch all stakers (pagination)" %}

```javascript
async function getAllStakers(subnetId) {
  const stakers = [];
  let offset = 0;
  const limit = 100;

  while (true) {
    const url = `https://dashboard.mor.org/api/builders/stakers?subnet_id=${subnetId}&limit=${limit}&offset=${offset}`;
    const response = await fetch(url);
    const body = await response.json();

    stakers.push(...body.data.stakers);
    if (!body.pagination.hasMore) break;
    offset += limit;
  }

  return stakers;
}
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code title="Fetch all stakers (pagination)" %}

```python
import requests

def get_all_stakers(subnet_id: str):
    stakers = []
    offset = 0
    limit = 100

    while True:
        response = requests.get(
            'https://dashboard.mor.org/api/builders/stakers',
            params={'subnet_id': subnet_id, 'limit': limit, 'offset': offset},
        )
        body = response.json()

        stakers.extend(body['data']['stakers'])
        if not body['pagination']['hasMore']:
            break

        offset += limit

    return stakers
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Sample response

{% code title="200 OK" %}

```json
{
  "success": true,
  "network": "base",
  "timestamp": "2026-01-03T01:51:20.218Z",
  "subnetId": "0x415471125cc4d03b89818acb8426981fa28a3eee03a9097176297a9a6ae87c8d",
  "pagination": {
    "limit": 100,
    "offset": 0,
    "total": 1,
    "hasMore": false
  },
  "data": {
    "stakers": [
      {
        "address": "0x504b01387db33d7a412d906022d23b35c82fe28d",
        "staked": "1000000000000000000",
        "stakedFormatted": 1,
        "lastStake": "1767400847",
        "lastStakeDate": "2026-01-03T00:40:47.000Z"
      }
    ],
    "totals": {
      "totalStakers": 1,
      "totalStaked": "1000000000000000000",
      "totalStakedFormatted": 1
    }
  }
}
```

{% endcode %}

### Postman

[Open in Postman](https://www.postman.com/bluefin-6568608/morpheus-builders-api/request/44737384-8d148961-0a47-4cc3-81fb-35738ab97713/?action=share\&creator=44737384\&ctx=documentation)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook.mor.org/builders/morpheus-builders-api/endpoints/get-stakers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
